# Reverse Proxy setup

How I put my very own personal servers online, for free.

This sets up a reverse proxy using nginx on a VM in fly.io using
tailscale to access the internal servers.

Details at [the blog post](http://ralsina.me/weblog/posts/the-cheapest-server.html)

When adding a new hostname, remember to create a cert for it using
`flyctl certs create hostname`

Every 90 days the tailscale auth key will expire and you need to set a new one as
a secret.

* Create the new one at https://login.tailscale.com/admin/settings/keys (MAKE IT REUSABLE)
* Configure it using flyctl secrets set TAILSCALE_AUTHKEY={{PASTEKEYHERE}}
